#!/bin/bash
mkdir -p bin
# Find all .py and .sh files in the src directory and its subdirectories
find src/ -type f \( -name "*.py" -o -name "*.sh" \) | while read -r file; do
  # Get the base name of the file
  base=$(basename "$file")
  # Create a symbolic link in the bin directory
  ln -sf "../$file" "bin/$base"
done